import request from '@/utils/request'

// 查询部门通报列表
export function listBmtb(query) {
  return request({
    url: '/tcZz/networkSecurity/bmtb/list',
    method: 'get',
    params: query
  })
}

// 查询部门通报详细
export function getBmtb(id) {
  return request({
    url: '/tcZz/networkSecurity/bmtb/' + id,
    method: 'get'
  })
}

// 新增部门通报
export function addBmtb(data) {
  return request({
    url: '/tcZz/networkSecurity/bmtb',
    method: 'post',
    data: data
  })
}

// 修改部门通报
export function updateBmtb(data) {
  return request({
    url: '/tcZz/networkSecurity/bmtb',
    method: 'put',
    data: data
  })
}

// 删除部门通报
export function delBmtb(id) {
  return request({
    url: '/tcZz/networkSecurity/bmtb/' + id,
    method: 'delete'
  })
}
